Bug 254045 - www/node: Update to 15.10.0
Summary: www/node: Update to 15.10.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Bradley T. Hughes
URL: https://nodejs.org/en/blog/vulnerabil...
Keywords: security
Depends on:
Blocks:
 
Reported: 2021-03-05 17:13 UTC by Jose Luis Duran
Modified: 2021-03-10 20:34 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (bhughes)


Attachments
Update to 15.10.0 (1.33 KB, patch)
2021-03-05 17:13 UTC, Jose Luis Duran
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jose Luis Duran 2021-03-05 17:13:50 UTC
Created attachment 223010 [details]
Update to 15.10.0

Appease portlint as well.

VuXML not updated (see bug #251995).
Comment 1 commit-hook freebsd_committer 2021-03-09 06:49:41 UTC
A commit references this bug:

Author: bhughes
Date: Tue Mar  9 06:49:14 UTC 2021
New revision: 567899
URL: https://svnweb.freebsd.org/changeset/ports/567899

Log:
  www/node: Update 15.9.0 -> 15.10.0

  https://nodejs.org/en/blog/release/v15.10.0/

  This is a security release. See
  https://nodejs.org/en/blog/vulnerability/february-2021-security-releases/

  While here, pet portlint by moving USES.

  PR:		254045
  Submitted by:	jlduran@gmail.com
  MFH:		2021Q1
  Security:	2f3cd69e-7dee-11eb-b92e-0022489ad614
  Sponsored by:	Miles AS

Changes:
  head/www/node/Makefile
  head/www/node/distinfo
Comment 2 Bradley T. Hughes freebsd_committer 2021-03-09 07:00:59 UTC
I've committed the changes to head, but since www/node hasn't been MFHed in a while, I need to check what other changes need to be brought along.

Thanks for the patch, I will close this once www/node has been merged to quarterly. :)
Comment 3 commit-hook freebsd_committer 2021-03-10 20:17:28 UTC
A commit references this bug:

Author: bhughes
Date: Wed Mar 10 20:16:57 UTC 2021
New revision: 568039
URL: https://svnweb.freebsd.org/changeset/ports/568039

Log:
  MFH: r561964 r563263 r564016 r566506 r567899

  www/node: Update 15.5.1 -> 15.6.0

  https://nodejs.org/en/blog/release/v15.6.0/

  Sponsored by:	Miles AS

  www/node: Update 15.6.0 -> 15.7.0

  https://nodejs.org/en/blog/release/v15.7.0/

  Sponsored by:	Miles AS

  www/node: Update 15.7.0 -> 15.8.0

  https://nodejs.org/en/blog/release/v15.8.0/

  Regenerate patches with `make makepatch` and re-introduce the
  dependency on dns/c-ares now that it is at version 1.17.1 (the
  minimum required version for Node.js).

  Sponsored by:	Miles AS

  www/node: Update 15.8.0 - 15.9.0

  https://nodejs.org/en/blog/release/v15.9.0/

  Sponsored by:	Miles AS

  www/node: Update 15.9.0 -> 15.10.0

  https://nodejs.org/en/blog/release/v15.10.0/

  This is a security release. See
  https://nodejs.org/en/blog/vulnerability/february-2021-security-releases/

  While here, pet portlint by moving USES.

  PR:		254045
  Submitted by:	jlduran@gmail.com
  Security:	2f3cd69e-7dee-11eb-b92e-0022489ad614
  Sponsored by:	Miles AS

Changes:
_U  branches/2021Q1/
  branches/2021Q1/www/node/Makefile
  branches/2021Q1/www/node/distinfo
  branches/2021Q1/www/node/files/patch-deps_openssl_config_archs_linux-elf_no-asm_openssl.gypi
  branches/2021Q1/www/node/files/patch-node.gypi
Comment 4 Jose Luis Duran 2021-03-10 20:20:27 UTC
(In reply to Bradley T. Hughes from comment #2)
Thank you!
Comment 5 Bradley T. Hughes freebsd_committer 2021-03-10 20:34:41 UTC
You're welcome, and thank you! :)